net.minecraft.util

## Class ChunkCoordinates

- java.lang.Object
- - net.minecraft.util.ChunkCoordinates

- All Implemented Interfaces:
    Comparable
  Direct Known Subclasses:
    PortalPosition

      public class ChunkCoordinates
      extends Object
      implements Comparable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `posX`
    `int` | `posY` the y coordinate
    `int` | `posZ` the z coordinate

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkCoordinates()`
    `ChunkCoordinates(ChunkCoordinates par1ChunkCoordinates)`
    `ChunkCoordinates(int par1, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareChunkCoordinate(ChunkCoordinates par1ChunkCoordinates)` Compare the coordinate with another coordinate
    `int` | `compareTo(Object par1Obj)`
    `boolean` | `equals(Object par1Obj)`
    `float` | `getDistanceSquared(int par1, int par2, int par3)` Returns the squared distance between this coordinates and the coordinates given as argument.
    `float` | `getDistanceSquaredToChunkCoordinates(ChunkCoordinates par1ChunkCoordinates)` Return the squared distance between this coordinates and the ChunkCoordinates given as argument.
    `int` | `hashCode()`
    `void` | `set(int par1, int par2, int par3)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### posX

          public int posX

    - #### posY

          public int posY

      the y coordinate

    - #### posZ

          public int posZ

      the z coordinate

  - ### Constructor Detail

    - #### ChunkCoordinates

          public ChunkCoordinates()

    - #### ChunkCoordinates

          public ChunkCoordinates(int par1,
                          int par2,
                          int par3)

    - #### ChunkCoordinates

          public ChunkCoordinates(ChunkCoordinates par1ChunkCoordinates)

  - ### Method Detail

    - #### equals

          public boolean equals(Object par1Obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareChunkCoordinate

          public int compareChunkCoordinate(ChunkCoordinates par1ChunkCoordinates)

      Compare the coordinate with another coordinate

    - #### set

          public void set(int par1,
                 int par2,
                 int par3)

    - #### getDistanceSquared

          public float getDistanceSquared(int par1,
                                 int par2,
                                 int par3)

      Returns the squared distance between this coordinates and the coordinates given as argument.

    - #### getDistanceSquaredToChunkCoordinates

          public float getDistanceSquaredToChunkCoordinates(ChunkCoordinates par1ChunkCoordinates)

      Return the squared distance between this coordinates and the ChunkCoordinates given as argument.

    - #### compareTo

          public int compareTo(Object par1Obj)

      Specified by:
        `compareTo` in interface `Comparable`